Crashpad

Public Attributes | List of all members
crashpad::MachOImageSymbolTableReader::SymbolInformation Struct Reference

Information about a symbol in a module’s symbol table. More...

`#include "snapshot/mac/mach_o_image_symbol_table_reader.h"`

## Public Attributes
mach_vm_address_t | value
| The address of the symbol as it exists in the symbol table, not adjusted for any “slide.”
uint8_t | section
| The 1-based section index in the module in which the symbol is found. More...

## Detailed Description

Information about a symbol in a module’s symbol table.

This is a more minimal form of the `nlist` (or `nlist_64`) structure, only containing the equivalent of the `n_value` and `n_sect` fields.

## Member Data Documentation

## ◆ section

uint8_t crashpad::MachOImageSymbolTableReader::SymbolInformation::section

The 1-based section index in the module in which the symbol is found.

For symbols defined in a section (`N_SECT`), this is the section index that can be passed to MachOImageReader::GetSectionAtIndex(), and value will need to be adjusted for segment slide if the containing segment slid when loaded. For absolute symbols (`N_ABS`), this will be `NO_SECT` (`0`), and value must not be adjusted for segment slide.

The documentation for this struct was generated from the following file:

- snapshot/mac/mach_o_image_symbol_table_reader.h